<?php
$config->iclock->cmdLimit = 10;

/**
 *  客户端可以向服务器上传的数据类型。
 *
 * AttLog        考勤记录
 * OpLog         操作日志
 * AttPhoto      考勤照片
 * EnrollUser    登记新用户
 * ChgUser       修改用户信息
 * EnrollFP      登记新指纹
 * ChgFP         修改指纹
 * FPImag        指纹图片
 * FACE          新登记人脸
 * UserPic       用户照片
 * WORKCODE      工作号码
 * BioPhoto      对比照片
 */

$config->iclock->init = new stdClass();
$config->iclock->init->attLogStamp     = "None";                        // 考勤记录时间戳标记(用作断点续传)。 
$config->iclock->init->operLogStamp    = "9999";                        // 操作日志时间戳标记(用作断点续传)。 
$config->iclock->init->errorDelay      = "60";                          // 客户端断网重连时间间隔（秒），30 ~ 300。
$config->iclock->init->delay           = "60";                          // 客户端获取命令时间间隔（秒），2 ~ 60。
$config->iclock->init->transTimes      = "00:01;12:01";                 // 客户端定时检查并传送新数据时间（时:分，24小时格式）。 
$config->iclock->init->transInterval   = "10";                          // 客户端检查并传送新数据的时间间隔（分钟），0 不检查。
$config->iclock->init->transFlag       = "TransData\tAttLog\tOpLog";    // 客户端向服务器自动上传哪些数据。多个数据之间使用制表符分隔。
$config->iclock->init->timeZone        = "8";                           // 服务器所在时区，主要为了同步服务器时间。
$config->iclock->init->realTime        = "0";                           // 客户端是否实时传送新数据：1 实时；0 非实时，按照TransTimes和TransInterval规定的时间传送。
$config->iclock->init->encrypt         = "None";                        // 是否加密传送数据标识: 1 支持加密。
$config->iclock->init->serverVer       = "2.4.0";                       // 服务器支持的协议版本号。
$config->iclock->init->pushProtVer     = "2.4.0";                       // 服务器依据哪个协议版本开发。
$config->iclock->init->pushOptionsFlag = "0";                           // 软件是否支持设备推送配置参数请求，0不支持，1支持，未设置时默认不支持。
